'use strict'

modules['presentImage'] = {
    config: [
        ['image', 'string', 'default']
    ],

    render: async (time, self, config) => {
        const {
            image,
        } = {...config}

        if (image) {
            const imageData = getColourTexture(image).data
            presentImageData(imageData)
        }
    }
}
